Execute FX Buy/Sell (GQL)

Note: All the Multi-Currency API's have the endpoint: /graphql

Executes the currency exchange (Buy or Sell) between the account's base currency and a supported foreign currency.

Business Rules:

  • Buy Currency: The base currency sub-account is debited (including fees), and the target foreign sub-account is credited.
  • Sell Currency: The foreign sub-account is debited, and the base currency sub-account is credited.
  • Charges are applied exclusively to BUY operations.
  • If a rate was previously locked, provide the fxLockId to ensure the locked rate is used.
Body Params

Following are the details on the GraphQL fields :

ParameterDescriptionMandatoryData TypeExample
accountIdMulti Currency Wrapper Account IdYesInteger1
actionCan be BUY or SELLYesStringBUY
amountAmount to be convertedYesString10
currencyTarget foreign currency codeYesStringEUR
referenceOptional reference textNoStringbuy currency
fxLockIdOptional lock ID from lockFxRateNoInteger1
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Responses

400

Invalid request.

404

Resource not found.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json